Package com.independentsoft.office.spreadsheet

# Class DataConsolidationReference

java.lang.Object
com.independentsoft.office.spreadsheet.DataConsolidationReference

public class DataConsolidationReference extends Object
The Class DataConsolidationReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataConsolidationReference()`
  Instantiates a new data consolidation reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataConsolidationReference`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `String`
  `getReference()`
  Gets the reference.
  `String`
  `getRelationshipID()`
  Gets the relationship id.
  `String`
  `getSheetName()`
  Gets the sheet name.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setRelationshipID​(String relationshipID)`
  Sets the relationship id.
  `void`
  `setSheetName​(String sheetName)`
  Sets the sheet name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataConsolidationReference

    public DataConsolidationReference()
    Instantiates a new data consolidation reference.

- ## Method Details

  - ### clone

    public DataConsolidationReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getRelationshipID

    public String getRelationshipID()
    Gets the relationship id.
    Returns:
      the relationship id

  - ### setRelationshipID

    public void setRelationshipID​(String relationshipID)
    Sets the relationship id.
    Parameters:
      `relationshipID` - the new relationship id

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getSheetName

    public String getSheetName()
    Gets the sheet name.
    Returns:
      the sheet name

  - ### setSheetName

    public void setSheetName​(String sheetName)
    Sets the sheet name.
    Parameters:
      `sheetName` - the new sheet name